diff options
| author | Albin <albin@mullvad.net> | 2026-04-07 09:59:26 +0200 |
|---|---|---|
| committer | Albin <albin@mullvad.net> | 2026-04-07 09:59:26 +0200 |
| commit | 066c416799e274c3ecc6b92192281833cb20eb21 (patch) | |
| tree | 40b111351cfc3ee6f620448e17b5aec25a089a6d | |
| parent | 62ae4a41d526511b10a0d6aae913882b5987dc08 (diff) | |
| parent | 48382f2b62810d4f2d3c9d5f81d30682c72424d6 (diff) | |
| download | mullvadvpn-066c416799e274c3ecc6b92192281833cb20eb21.tar.xz mullvadvpn-066c416799e274c3ecc6b92192281833cb20eb21.zip | |
Merge branch 'ci-runner-does-not-clean-up-orchestrator-droid-2004'
| -rwxr-xr-x | android/scripts/run-instrumented-tests.sh | 12 |
1 files changed, 8 insertions, 4 deletions
diff --git a/android/scripts/run-instrumented-tests.sh b/android/scripts/run-instrumented-tests.sh index 20ae467902..4dd404bdc3 100755 --- a/android/scripts/run-instrumented-tests.sh +++ b/android/scripts/run-instrumented-tests.sh @@ -24,6 +24,14 @@ RAAS_TRAFFIC_GENERATOR_TARGET_HOST="${RAAS_TRAFFIC_GENERATOR_TARGET_HOST:-}" RAAS_TRAFFIC_GENERATOR_TARGET_PORT="${RAAS_TRAFFIC_GENERATOR_TARGET_PORT:-}" REPORT_DIR="${REPORT_DIR:-}" +cleanup() { + echo "Cleaning up..." + if [[ -n ${TEMP_DOWNLOAD_DIR-} ]]; then + rm -rf "$TEMP_DOWNLOAD_DIR" + fi +} +trap cleanup EXIT + while [[ "$#" -gt 0 ]]; do case $1 in --test-type) @@ -269,7 +277,3 @@ else adb pull "$DEVICE_TEST_ATTACHMENTS_PATH" "$LOCAL_TEST_ATTACHMENTS_PATH" || echo "No test attachments" exit 1 fi - -if [[ -n ${TEMP_DOWNLOAD_DIR-} ]]; then - rm -rf "$TEMP_DOWNLOAD_DIR" -fi |
